<!DOCTYPE html>
<html lang="en">
<head>

  <!-- Basic Page Needs
  –––––––––––––––––––––––––––––––––––––––––––––––––– -->
  <meta charset="utf-8">
  <title>SzymMiePortfolio</title>
  <meta name="description" content="Elastico">
  <meta name="author" content="SzymonMiękina">

  <!-- Mobile Specific Metas
  –––––––––––––––––––––––––––––––––––––––––––––––––– -->
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <!-- FONT
  –––––––––––––––––––––––––––––––––––––––––––––––––– -->


  <!-- CSS
  –––––––––––––––––––––––––––––––––––––––––––––––––– -->
  <link rel="stylesheet" href="css/normalize.css">
  <link rel="stylesheet" href="css/skeleton.css">


  <link rel="stylesheet" href="css/base.css">

  <!-- Favicon
  –––––––––––––––––––––––––––––––––––––––––––––––––– -->
  <link rel="icon" type="image/png" href="images/favicon.png">

</head>
<body>

<header class="header">
    <div class="logo">
<h1>Portfolio</h1>
    </div>
</header>

<div class="container">
  <div class="row">
    <div class="one-third column">
      <form class="container clearfix" onchange="displayImgs(readRadio(), Math.ceil(Math.random() * 77))">

      <label for="all">
      <input class="nav-menu" id="all" type="radio" name="filter" checked="checked"/>
       Wszystkie
      </label>

      <label for="illustrations">
      <input class="nav-menu" id="illustrations" type="radio" name="filter"/>
       Ilustracje</label>

      <label for="posters">
      <input class="nav-menu" id="posters" type="radio" name="filter"/>
       Plakaty</label>

      <label for="typography">
      <input class="nav-menu" id="typography" type="radio" name="filter"/>
       Typografia</label>

      <label for="packaging">
      <input class="nav-menu" id="packaging" type="radio" name="filter"/>
       Opakowania</label>

      </form>

      <div id="fimg" class="imgs">
        <img src="" alt="">
        <img src="" alt="">
        <img src="" alt="">
      </div>

      <hr>

      <figure class="all poster" data category="ilustracje">
        <img class="minis" src="images/mini/1.png" alt="To jest pierwsza miniatura portfolio.">
        <img class="minis" src="images/mini/2.png" alt="To jest pierwsza miniatura portfolio.">
        <img class="minis" src="images/mini/3.png" alt="To jest pierwsza miniatura portfolio.">
        <figcaption>
          <h4>Lorem Ipsum</h4>
          <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s</p>
        </figcaption>
      </figure>

      <footer class="container">
        <div class="contact">
          <ul>
          <li class="contact-name">Piotr Niewiadomski</li>
          <li class="contact-phone">(+48) 600-700-800</li>
          <li class="contact-email">piotrek@niewiadomski.pl</li>
          </ul>
        </div>
        <div class="social">
          <p class="copyright">Piotr Niewiadomski</p>
          <ul>
          <li class="social-dribbble">
          <a href="#">Dribbble</a></li>
          <li class="social-facebook">
          <a href="#">Facebook</a></li>
          <li class="social-twitter">
          <a href="#">Twitter</a></li>
          </ul>
        </div>
      </footer>
    </div>
    <div class="two-thirds column">
      <div id="bimg" class="imgs">
        <img src="" alt="">
        <img src="" alt="">
        <img src="" alt="">
      </div>
    </div>
  </div>
</div>

<script type="text/javascript">
  const rads = document.getElementsByClassName('nav-menu');
  const albs = [
    ['illustrations', 'posters', 'typography', 'packaging'],
    'illustrations',
    'posters',
    'typography',
    'packaging'
  ];
  const imgs = [];
  for (let n of document.getElementsByClassName('imgs')) {
    for (let i of n.children) imgs.push(i);
  }
  const imgn = imgs.length;

  function readRadio()
  {
    let i = 0;
    for (let e of rads) {
      if(e.checked) {
        break;
      };
      i++;
    }
    return i;
  }

  function displayImgs(n, off=0)
  {
    const imgh = Math.ceil(imgn / 2);
    if (typeof albs[n] === 'string') {
      clearInterval(gtm);
      gtm = null;
      const p = `./images/${albs[n]}`;
      for (let i = 0; i < imgn; i++) {
        imgs[i].style.opacity = 0;
        imgs[i].onload = () => {setTimeout(() => {imgs[i].style.opacity = 1}, 250)};
        setTimeout(() => {imgs[i].src = `${p}/${(i % imgh) + 1}.png`; imgs[i].style.opacity = 1;}, 250);
      }
    } else {
      if (!gtm) gtm = setInterval(() => {displayImgs(n, off+=5)}, 7000);
      const p = `./images`;
      const len = albs[n].length;
      for (let i = 0; i < imgn; i++) {
        imgs[i].style.opacity = 0;
        imgs[i].onload = () => {setTimeout(() => {imgs[i].style.opacity = 1}, 250)};
        setTimeout(() => {imgs[i].src = `${p}/${albs[n][(i + off) % len]}/${((i + off) % imgh) + 1}.png`; imgs[i].style.opacity = 1;}, 250);
      }
    }
  }
  var gtm = null;
  displayImgs(0);
</script>



<!-- End Document
  –––––––––––––––––––––––––––––––––––––––––––––––––– -->
</body>
</html>
